BLAKE2b_State Struct Reference

BLAKE2b state information. More...

`#include <blake2.h>`

## Public Member Functions

void | Reset ()
word64 * | h ()
word64 * | t ()
word64 * | f ()
byte * | data ()

## Public Attributes

FixedSizeAlignedSecBlock< word64, 8+2+2, true > | m_hft
FixedSizeAlignedSecBlock< byte, BLOCKSIZE, true > | m_buf
size_t | m_len

## Static Public Attributes

static const int | BLOCKSIZE = BLAKE2b_Info::BLOCKSIZE

## Detailed Description

BLAKE2b state information.

Since
  Crypto++ 5.6.4

Definition at line 196 of file blake2.h.

## Constructor & Destructor Documentation

## BLAKE2b_State()

BLAKE2b_State::BLAKE2b_State | ( |  | ) |

inline

Definition at line 198 of file blake2.h.

## Member Function Documentation

## Reset()

void BLAKE2b_State::Reset | ( |  | ) |

Definition at line 278 of file blake2.cpp.

## h()

word64 * BLAKE2b_State::h | ( |  | ) |

inline

Definition at line 204 of file blake2.h.

## t()

word64 * BLAKE2b_State::t | ( |  | ) |

inline

Definition at line 208 of file blake2.h.

## f()

word64 * BLAKE2b_State::f | ( |  | ) |

inline

Definition at line 212 of file blake2.h.

## data()

byte * BLAKE2b_State::data | ( |  | ) |

inline

Definition at line 216 of file blake2.h.

## Member Data Documentation

## BLOCKSIZE

const int BLAKE2b_State::BLOCKSIZE = BLAKE2b_Info::BLOCKSIZE

static

Definition at line 221 of file blake2.h.

## m_hft

FixedSizeAlignedSecBlock<word64, 8+2+2, true> BLAKE2b_State::m_hft

Definition at line 222 of file blake2.h.

## m_buf

FixedSizeAlignedSecBlock<byte, BLOCKSIZE, true> BLAKE2b_State::m_buf

Definition at line 223 of file blake2.h.

## m_len

size_t BLAKE2b_State::m_len

Definition at line 224 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp